Joomla! 5 has been released for a few days with a lot of enhanced and advanced features to help Joomla users build up and manage their Joomla websites more effectively. So, if you are using our Joomla! 4 templates, should you upgrade Joomla! 4 to Joomla! 5 right now? In the blog, we will give you a detailed answer about that. Let’s get started now!

What is new in Joomla! 5?

It has been 2 years since Joomla released Joomla 4 version. In order to provide a better experience for website developers on the Joomla platform, Joomla 5 was released on 17th October 2023 with the promise of bringing many improvements in security, loading speed, code optimization, and website management. For more information about new features in Joomla! 5, please visit here.

If Joomla! 3 to Joomla! 4 is a big and important migration that comes with clear changes on the administrator interface, Joomla! 4 to Joomla! 5 is just an upgrading process, which means there is no big difference on the admin interface.

Should You Upgrade Joomla! 4 To Joomla! 5 Now 1

Specifically, in case you are planning to update Joomla! 4 to Joomla 5, if you are using a Joomla version lower than Joomla 4.4.0, it’s necessary for you to upgrade to Joomla 4.4.0 and then proceed to bring Joomla! 4.4.0 to Joomla! 5.0.

Although Joomla has sent a notification to all Joomla users about updating to Joomla! 5.0, in some situations, you will not receive a notification to upgrade to Joomla! 5.0 when you access the Home Dashboard of your admin panel. Don’t worry, you can implement some of the following steps to see the Joomla! 5 updating notification:

  • Login to your Joomla admin dashboard -> System -> Global Configuration.
  • On the left of the screen, simply click on the Joomla Update -> Update Source -> Change the Update Channel from the default setting to Joomla Next -> Save.

Should You Upgrade Joomla! 4 To Joomla! 5 Now 2

After saving your change, you will be redirected to

https://YOUR_DOMAIN/administrator/index.php?option=com_joomlaupdate.

How to upgrade Joomla! 4 to Joomla! 5 now if you are using our Joomla! templates?

Since our Joomla! templates are in Joomla! 4.2.8 currently, there will be 2 main steps for you to upgrade Joomla! 4 to Joomla! 5 when you are utilizing any of our Joomla! template.

  • Upgrade Joomla! 4.2.8 to Joomla! 4.4.
  • Upgrade Joomla! 4.4 to Joomla! 5.

Updating Joomla! 4.2.8 to Joomla! 4.4.

The process will work smoothly. All you need to do is go to the admin dashboard, then visit System. In the Update section, click on the Joomla 4.4.0.

Should You Upgrade Joomla! 4 To Joomla! 5 Now 3

After that, the system will show you the pre-update check for Joomla 4.4.0. If everything is good, you just need to tick the box before the line “Acknowledge the warnings about potentially incompatible extensions and proceed with the update.“, and then press the Update button.

Should You Upgrade Joomla! 4 To Joomla! 5 Now 4

After testing a series of our Joomla! template, updating process from Joomla! 4.2.8 to Joomla! 4.4 is extremely smooth and does not cause any errors or problems. Therefore, you can easily perform this process without fear of losing data or unexpected problems occurring.

Updating from Joomla! 4.4 to Joomla! 5.0

However, upgrading Joomla 4.4 to Joomla 5.0 is a different story. So, should you upgrade Joomla! 4 to Joomla! 5 now if you are using our Joomla! templates?

First of all, if you desire to update Joomla! 5.0, you need to ensure that your site adapts to all the following technical requirements:

  • PHP: 8.1
  • MySQL: 8.0.13+
  • MariaDB: 10.4+
  • PostgreSQL: 12+

As you know, Joomla 5 introduced Fontawesome 6.4, Codemirror 6, and has updated its Webauthn Library, so it’s necessary for you to adapt to the technical requirements above to get the optimal performance and the probability of errors will be limited.

Next, there will be 3 options for you to consider should you upgrade Joomla! 4 to Joomla! now:

  • If you are using normal Joomla! templates of LTheme which means the templates don’t need to use eCommerce or booking third-party extensions, you can easily and smoothly upgrade Joomla! 4 to Joomla! 5 now. All LTheme’s Joomla! templates are built with Helix Ultimate Framework and it provides the latest version which is compatible with Joomla! 5. So, Helix Ultimate framework can be updated using the Joomla update system. Whenever a new version of Helix Ultimate is available, you will receive a notification in the Joomla control panel. And then update Joomla! 4.4 to Joomla! 5.0. Please check the technical requirements we showed you above to ensure everything is ok.
  • If you are utilizing eCommerce Joomla templates from LTheme which means the templates are integrated with eCommerce extensions (Hikashop is compatible with Joomla! 5 currently, Virtuemart, and J2Store), it’s necessary and vital for you to ask if the eCommerce extension authors have the latest version compatible with Joomla 5 or not. In case there is an extension compatible with Joomla! 5, update those eCommerce extensions first and then upgrade from Joomla! 4.4 to Joomla! 5.0. If the eCommerce extensions haven’t yet been compatible with Joomla! 5, please still use Joomla! 4.4 and wait for the version that is compatible with Joomla! 5.
  • In case you are using our Joomla! templates with third-party functional extensions such as booking extension – Solidres for LT Hotel Booking, you need to ask the functional extension authors for the version which compatible with Joomla! 5. After ensuring that the extension comes with a Joomla! 5 compatible version, let’s feel free to update the extension first, and then update Joomla! 4 to Joomla! 5.

How to fix Helix Ultimate and Pagebuilder Font Awesome 6 issues

After you upgrade Joomla! 4 to Joomla! 5, you may face some issues with Helix Ultimate and Pagebuilder Font Awesome 6. Don’t worry about that. We will bring you the fast and effective solutions below.

Fix menu arrow icons and rating star icons in a single post by using code

There will be an issue with menu arrow icons. The following image is an example of this issue.

Upgrade Joomla 4 To Joomla 5 Img1

Option 1

To fix this issue, you need to log in to your admin dashboard -> Click on System -> Templates-> Site Templates -> [template-name] Details and Files -> Open index.php file, at line 129, please add font-awesome.min.css. See image below

3

Option 2

In order to fix this issue, you need to log in to your admin dashboard -> Click on System -> Templates -> Site Template Styles.

Upgrade Joomla 4 To Joomla 5 Img3

Now, it’s time for you to select your active template and then click on the Template Options.

Upgrade Joomla 4 To Joomla 5 Img4

In the Custom Code tab, you just need to add the following code to the Custom CSS section and then save it.

.offcanvas-menu .offcanvas-inner ul.menu>li.menu-parent>.nav-header>.menu-toggler:after,
.offcanvas-menu .offcanvas-inner ul.menu>li.menu-parent.menu-parent-open>.nav-header>.menu-toggler:after,
.offcanvas-menu .offcanvas-inner ul.menu>li.menu-parent.menu-parent-open>a>.menu-toggler:after,
.offcanvas-menu .offcanvas-inner ul.menu>li.menu-parent.menu-parent-open>.menu-separator>.menu-toggler:after,
.offcanvas-menu .offcanvas-inner ul.menu>li.menu-parent li.menu-parent .menu-toggler:after,
.offcanvas-menu .offcanvas-inner ul.menu>li.menu-parent>a>.menu-toggler:after,
.offcanvas-menu .offcanvas-inner ul.menu>li.menu-parent>.menu-separator>.menu-toggler:after,
body.ltr .sp-megamenu-parent .sp-dropdown .sp-dropdown-items .sp-has-child>a:after,
body.ltr .sp-megamenu-parent>li.sp-has-child>a:after,
body.ltr .sp-megamenu-parent>li.sp-has-child>span:after,
.chzn-container.chzn-container-single .chzn-single div>b:after,
.article-ratings .rating-symbol span.rating-star,
#modal-menu ul.sp-megamenu-parent li.sp-has-child>a:after,
#modal-menu ul.sp-megamenu-parent li.sp-has-child>span:after,
.header-modules .search form:after {
font-family: "Font Awesome 6 Free";
}

Another issue that may occur is the rating star icon issue in a single post, you can see an example issue with the image below.

Upgrade Joomla 4 To Joomla 5 Img2

Like the step above, let’s log in to the admin dashboard -> System -> Templates -> Site Template Styles -> Template you are using -> Template Options.

After that, go to Custom Code -> Custom CSS -> add the following code -> Save.

.article-ratings .rating-symbol span.rating-star
{ font-family: "Font Awesome 6 Free";}

Fix menu arrow icons and rating star icons in a single post by updating the font folder

With this method, it’s necessary for you to download the Fonts File package and unzip it first.

After unzipping it, let’s upload the Fonts File via File Manager (for VPS or Hosting with FTP/SFTP support).

If you want to upload the Fonts File via FTP, let’s access your hosting cPanel, create an FTP account, and link to your website folder (normally it’s the “public_html” folder). Once you connect, simply browse your local drive to upload from the Local Site window on the left. Drag the files to an appropriate folder in the Remote Site on the right,
/var/www/html/[site-name]/templates/[template-name]/fonts

If your hosting supports cPanel, you can go to cPanel > File Manager, access your website folder, and upload the Fonts File with the folder path we showed you above.

How to fix Icon  & Background image doesn’t show on SP Page builder 5 issues

The following image is an example of this issue.

To fix this issue, you need to log in to your admin dashboard -> Click on Components > SP Page Builder > Pages > Page needs to be edited for icon
Go to Section > click the edit Features box. Then set the size for the icon and Save.

Av

For the background image problems, if you don’t see the same display as the sample Demo, please go to Section > Tab Style > Background and choose the Image tab.

Sp Page Builder Pro Imp Administration 2023 11 17 10 28 43

Final words

All in all, we think that Joomla! 5 was just released a few days ago, and it will take time for other third-party extensions to be enhanced and updated to be compatible with Joomla! 5 versions. This means that our Joomla! templates need to wait for the newest versions from third-party extensions.

So, should you upgrade Joomla! 4 to Joomla! 5 now? The answer depends on the type of Joomla! templates you are using. The key thing is that you need to check and ensure that all third-party extensions are compatible with Joomla! 5 so that you can update Joomla! 4 to Joomla! 5 without any errors or exceptional issues.

4.4/5 - (13 votes)
Lt Digital Team (Content &Amp; Marketing)

Joomla! 5 update How to Upgrade Joomla! 4 to Joomla! 5? Read our blog
Happy Lunar New Year Grab 50% Off for everything on today, don't miss it. Coupon code: LUNARNEWYEAR50 Redeem Now